Groovy 1.7.0

## org.codehaus.groovy.util
Class SoftRef

    java.lang.Object
      java.lang.ref.Reference
          java.lang.ref.SoftReference
              org.codehaus.groovy.util.SoftRef

All Implemented Interfaces:
  PhantomReference

    class SoftRef
    extends SoftReference

Constructor Summary
`SoftRef(TT referent, V handler, ReferenceQueue q)`

Method Summary
`V` | `getHandler()`

Methods inherited from class SoftReference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Reference
get, clear, enqueue, isEnqueued, wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### SoftRef

    public SoftRef(TT referent, V handler, ReferenceQueue q)

Method Detail

### getHandler

    public V getHandler()

Copyright © 2003-2009 The Codehaus. All rights reserved.